Skip to main content
GET
/
versions
/
{entityType}
/
{entityId}
/
{versionId}
Get version
curl --request GET \
  --url https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/{versionId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "version": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "entityType": "<string>",
        "entityId": "<string>",
        "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "versionNumber": 123,
        "parentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "isPublished": true,
        "configSnapshot": {},
        "configDiff": {},
        "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "publishedAt": "2023-11-07T05:31:56Z",
        "publishedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "description": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entityType
enum<string>
required

Entity type: 'agent' or 'workflow'

Available options:
agent,
workflow
entityId
string<uuid>
required
versionId
string<uuid>
required

Query Parameters

entityId
string
required
Minimum string length: 1
versionId
string<uuid>
required
workspaceId
string<uuid>
required

Response

Version details

success
enum<boolean>
required
Available options:
true
data
object
required